Bug 518649 - gnome-mount fails to remember settings
Summary: gnome-mount fails to remember settings
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-mount
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 13:36 UTC by Stephen
Modified: 2013-03-06 03:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:13:03 UTC


Attachments (Terms of Use)

Description Stephen 2009-08-21 13:36:55 UTC
I'm trying to prevent a particular partition on an external USB drive from auto-mouting. gnome-mount is not remembering the settings:


$ gnome-mount --display-settings -p FAT32
Resolved pseudonym "FAT32" -> /dev/sdc1
Displaying settings for volume (override drive settings)
hal_udi:    /org/freedesktop/Hal/devices/volume_uuid_9FC9_8FC9
There are no settings; you can use --write-settings

$ gnome-mount --write-settings -p FAT32 -o noauto

$ gnome-mount --display-settings -p FAT32
Resolved pseudonym "FAT32" -> /dev/sdc1
Displaying settings for volume (override drive settings)
hal_udi:    /org/freedesktop/Hal/devices/volume_uuid_9FC9_8FC9
There are no settings; you can use --write-settings



At this point, I would expect it to show me the settings. The volume also auto-mounts when the drive is plugged in.

Try with uuid:



$ gnome-mount --write-settings --hal-uuid /org/freedesktop/Hal/devices/volume_uuid_9FC9_8FC9 -o noauto

$ gnome-mount --display-settings --hal-uuid /org/freedesktop/Hal/devices/volume_uuid_9FC9_8FC9
Displaying settings for volume (override drive settings)
hal_udi:    /org/freedesktop/Hal/devices/volume_uuid_9FC9_8FC9
There are no settings; you can use --write-settings



gnome-mount-0.8-5.fc11.i586
hal-0.5.12-26.20090226git.fc11.i586

Comment 1 Bug Zapper 2010-04-28 09:52:24 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:13:03 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.